dim pathDelimiter as String
#if TargetWin32
'print "Building on Windows"
pathDelimiter = "\"
#elseif TargetMacOS
'print "Building on OS X"
pathDelimiter = "/"
#elseif TargetLinux
'print "Building on Linux"
pathDelimiter = "/"
#else
print "Unknown build platform"
pathDelimiter = "/"
#endif

// Careful with spaces in paths!
//
// CurrentBuildLocation escapes spaces with "\ ", so they must
// not be enclosed in quotes when used with shell commands.
'print CurrentBuildLocation

// OTOH, the CurrentBuildAppName value does not escape spaces,
// so that this part needs quoting in case the app name contains spaces.
//
// Additionally, CurrentBuildAppName does not include the ".app" extension
// on OS X and needs to be added to reach the actual bundle folder.
'print CurrentBuildAppName

// To copy files that are located around the project file, use
// the environment variable PROJECT_PATH. Here's an example
// to learn the project's folder path. Note that this path is NOT
// escaped, so using it requires quoting:
dim cmd as string
#if TargetWin32
cmd = "echo %PROJECT_PATH%"
#else
cmd = "echo $PROJECT_PATH"
#endif
dim projectPath as string = DoShellCommand(cmd)
print projectPath

Return

dim pathToResources as String
if CurrentBuildTarget = 3 then
// Building for Windows
pathToResources = CurrentBuildLocation + pathDelimiter + "Resources" + pathDelimiter
elseif CurrentBuildTarget = 4 then
// Building for Linux
pathToResources = CurrentBuildLocation + pathDelimiter + "Resources" + pathDelimiter
else
// Building for OS X
pathToResources = CurrentBuildLocation + pathDelimiter + """" + CurrentBuildAppName + """"
pathToResources = pathToResources + ".app" + pathDelimiter + "Contents" + pathDelimiter + "Resources" + pathDelimiter
end if
dim listCmd as String
#if TargetWin32
listCmd = "dir "
#else
listCmd = "ls "
#endif
dim result as String = DoShellCommand (listCmd + pathToResources)
print "Contents of Resources folder" + EndOfLine + EndOfLine + result
